gnome-appearance-properties keeps asking to install unneeded proprietary fglrx driver when enabling or changing Visual Effects

Bug #285879 reported by Forlong on 2008-10-19
18
Affects Status Importance Assigned to Milestone
gnome-control-center (Ubuntu)
Low
Ubuntu Desktop Bugs
Intrepid
Low
Unassigned
Jaunty
Low
Ubuntu Desktop Bugs
jockey (Ubuntu)
Undecided
Martin Pitt
Intrepid
High
Martin Pitt
Jaunty
Undecided
Martin Pitt

Bug Description

Binary package hint: gnome-control-center

I'm on a fully updated intrepid ibex and Compiz is working out-of-the-box with the open radeon driver.
However, when going to the Visual Effects tab in gnome-appearance-properties and changing the effects from Normal to Extra I am prompted to "Enable" the proprietary fglrx driver (screenshot attached).

Please note: Compiz is in fact already running and canceling the po-pup will change the effects set just fine.
The problem is: it keeps prompting every single time when trying to change the properties while it should not do this at all.

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 8.10
Package: gnome-control-center 1:2.24.0.1-0ubuntu6
ProcEnviron:
 SHELL=/bin/bash
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_GB.UTF-8
SourcePackage: gnome-control-center
Uname: Linux 2.6.27-7-generic i686

Forlong (forlong) wrote :
Martin Pitt (pitti) wrote :
Changed in jockey:
assignee: nobody → pitti
status: New → Fix Committed
assignee: nobody → pitti
importance: Undecided → High
status: New → In Progress
Martin Pitt (pitti) wrote :

This is also a bug in control-center. It shouldn't query jockey at all if it switches between normal and enhanced effects, only if it switches from "no effects" to normal/enhanced.

Changed in gnome-control-center:
status: New → Confirmed
Martin Pitt (pitti) wrote :
Changed in jockey:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jockey - 0.5~beta3-0ubuntu8

---------------
jockey (0.5~beta3-0ubuntu8) jaunty; urgency=low

  * Merge bug fixes from trunk:
    - Replace enabled/disabled icons with more decent variant, thanks Kenneth
      Wimer! (LP: #290239)
    - backend.py: Rewrite timeout behaviour for more robustness; do not time
      out right after a long method call.
    - Intercept crashes of the backend (which manifest as D-BUS NoReply
      error), present an error message, and restart backend. (LP: #273600)
    - jockey-gtk: Fix crash if nothing is selected in the tree view after an
      operation. (LP: #283887)
    - fglrx.py: Unconfigured driver defaults to ati, which already provides
      compositing. (LP: #285879)
  * jockey/oslib.py, install_package(): Use --force-confnew to fix hang/crash
    on "EOF on stdin at conffile prompt", since the jockey backend does not
    have any terminal or interactivity. This fixes fglrx install failure when
    the upstream installer was previously used. This still keeps .dpkg-old
    configuration backups, and using a tool like Jockey should "make it work".
    (LP: #283765)
  * data/handlers/b43.py: Add missing OSLib import. (LP: #295530)

 -- Martin Pitt <email address hidden> Mon, 24 Nov 2008 20:31:53 +0100

Changed in jockey:
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in gnome-control-center:
status: New → Fix Committed
Forlong (forlong) wrote :

Hi Martin,

I just enabled the proposed repository and updated ONLY Jockey (jockey-common and jockey-gtk) as there was no update available for gnome-control-center.

Thus, I can confirm the update solved the issue in Jockey (it doesn't prompt to install the fglrx driver anymore) but gnome-control-center still calls jockey every time, even when changing from normal to enhanced and vice versa.

But the only problem remaining with this, is that there's a lag when changing that, so I wouldn't necessarily consider it a serious issue. Should be fixed for Jaunty but could stay this way in Intrepid.

Thank you,
Nick

Tormod Volden (tormodvolden) wrote :

I can also confirm that jockey 0.5~beta3-0ubuntu6.1 in intrepid-proposed fixes the issue: It does not ask to install fglrx any longer.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jockey - 0.5~beta3-0ubuntu6.1

---------------
jockey (0.5~beta3-0ubuntu6.1) intrepid-proposed; urgency=low

  * debian/control: Update Vcs-Bzr: for intrepid branch.
    (LP: #283765)
  * fglrx.py: Unconfigured driver defaults to ati, which already provides
    compositing. This fixes gnome-appearance-properties to endlessly ask to
    install the fglrx driver on systems where ati works fine. (LP: #285879)
  * data/handlers/b43.py: Add missing OSLib import. (LP: #295530)
  * data/handlers/broadcom_wl.py: If b44 is loaded, don't disable the entire
    handler, but instead install a "wl" modprobe handler which removes ssb and
    b44 first, then loads wl, and reloads b44 again, which makes both devices
    work. (LP: #289845)
  * tests/detection.py: Fix yum printer test for changed package name on
    openprinting.org. This only affects the test suite, so that it succeeds
    again. (Cherrypicked from trunk r501)

 -- Martin Pitt <email address hidden> Fri, 28 Nov 2008 11:43:06 +0100

Changed in jockey:
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2008-12-15
Changed in gnome-control-center:
status: Fix Committed → Confirmed
Changed in gnome-control-center:
importance: Undecided → Low
assignee: nobody → desktop-bugs
importance: Undecided → Low
Sebastien Bacher (seb128) wrote :

the bug will be fixed in the next upload

Changed in gnome-control-center:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:2.25.90-0ubuntu3

---------------
gnome-control-center (1:2.25.90-0ubuntu3) jaunty; urgency=low

  * debian/control.in:
    - recommends iso-codes which is used in the layout selection dialog
      (lp: #289005)
  * debian/patches/90_gnome-mouse-properties_small_screen.patch:
    - change by Ying-Chun Liu to add scrollbar on small screens (lp: #28805)
  * debian/patches/91_gnome-about-me_small_screen.patch:
    - change by Ying-Chun Liu to add scrollbar on small screens (lp: #324464)
  * debian/patches/95_desktop-effects-integration.patch:
    - only call jockey when there was no desktop effects used yet (lp: #285879)
  * debian/patches/96_build_sound_capplet.patch:
    - update by Ying-Chun Liu to add scrollbar on small screens (lp: #28805)
  * debian/patches/109_screen_resolution_extra.patch:
    - change a string to fix a typo (lp: #284630)

 -- Sebastien Bacher <email address hidden> Fri, 20 Feb 2009 16:58:47 +0100

Changed in gnome-control-center:
status: Fix Committed → Fix Released
Alex Valavanis (valavanisalex) wrote :

Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the
report. The bug has been fixed in newer releases of Ubuntu.

Changed in gnome-control-center (Ubuntu Intrepid):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers